Set all file storage settings
PATCH
/v1/disks/{disk}/configPATCH
/v1/disks/{disk}/config
const url = 'https://api.wabe.sh/v1/disks/demo/config';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"chunk_bytes":65536,"autosave_interval_ms":10000,"history_retention_ms":2592000000}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.wabe.sh/v1/disks/demo/config \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "chunk_bytes": 65536, "autosave_interval_ms": 10000, "history_retention_ms": 2592000000 }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”disk
required
string
Example
demoProject disk name, or the disk ID in the actor runtime disk URL.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
chunk_bytes
required
integer
autosave_interval_ms
required
integer
history_retention_ms
required
integer | null
Example
{ "chunk_bytes": 65536, "autosave_interval_ms": 10000, "history_retention_ms": 2592000000}Responses
Section titled “Responses”Storage settings updated.
Invalid input.
Media typetext/plain
string
Missing, invalid or revoked project API key, or an invalid runtime access token.
Media typeapplication/json
object
error
required
string
message
required
string
Actor runtime token does not authorize this disk or instance generation.
Media typeapplication/json
object
error
required
string
message
required
string
Object was not found.
Media typetext/plain
string
Conflict, nonempty destination or referenced object.
Media typetext/plain
string
Storage, I/O or corruption failure.
Media typetext/plain
string
Disk unavailable.
Media typeapplication/json
object
error
required
string
message
required
string